using System;
using System.Collections.Generic;
using System.Collections;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Gas : MonoBehaviour
    {
        public List<Gas> gases;
        void Start()
        {

        }
        void CreateGases()
        {
        }
    }
    public class Symptom : ScriptableObject
    {
        // whether or not the symptom is active
        public bool active;

        // base severity multipliers
        // you can change these around to make things stronger at certain levels
        // setting the value to 0 means the symptom will not occur at that level
        // symptoms can disappear if it is not set to take effect in higher exposure levels
        public float mild = 0.5f;
        public float moderate = 1;
        public float severe = 2;

        // if the symptom is one that always occurs or a one time change
        public bool persistent;
        // amount of time the symptom will last after exposure
        // -1 will make it last forever, 0 makes it end instantly
        // this is affected by severity multipliers
        public float time = 180f;

        // chance of the symptom occuring
        // 1 = 100% chance
        // this is also affected by severity multipliers
        public float chance = 1;
        // these affect the chance of the symptom occuring
        public float skinExposureMultiplier = 1;
        public float inhalationExposureMultiplier = 1;
        // multiplier for when victim is not being actively exposed to gas
        public float nonexposedMultiplier = 0.5f;

        // effects the amount of extra effect each symptom will have as exposure increases
        public float severityModifier = 1;

        // makes the symptom fluctuate in severity
        public float fluctuation;

        // amount of time after required exposure level that the symptom will take effect
        // 0 means instantaneous
        public float delay;

        // effects
        public float burnDamage;
        public float burnDamageClamp;

        public float breatheSpeedMultiplier;
        public float breathIntakeMultiplier;

        public float spasm;

        public float strengthEffect;

        public float skinDamageEffect;
        public float skinDamageClamp;

        public float lethality;
        public float lethalityClamp;

        public float consciousnessEffect;
        public float lungEffect;

        public float zombification;
        public float rottenEffect;
    }
}